Bug 511144 - Review Request: openstreetmap - A JavaScript library for displaying the OpenStreetMap.org map data
Review Request: openstreetmap - A JavaScript library for displaying the OpenS...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 508533
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 17:23 EDT by Mathieu Bridon
Modified: 2010-02-13 14:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-13 14:25:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2009-07-13 17:23:25 EDT
Spec URL: http://bochecha.fedorapeople.org/openstreetmap/openstreetmap.spec
SRPM URL: http://bochecha.fedorapeople.org/openstreetmap/openstreetmap-0-0.3.svn20090628.fc11.src.rpm

Description:
OpenStreetMap.org is the Wikipedia of mapping data. They provide a free to use and modify world map.

This is the JavaScript API to use the OpenStreetMap.org map data in your web pages.

----

$ rpmlint SPECS/openstreetmap.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint openstreetmap-0-0.3.svn20090628.fc11.src.rpm 
openstreetmap.src: W: name-repeated-in-summary OpenStreetMap
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
$ rpmlint openstreetmap-0-0.3.svn20090628.fc11.noarch.rpm
openstreetmap.noarch: W: name-repeated-in-summary OpenStreetMap
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Not sure the warning is important or not, and I can't find a better summary for the package :-/

----

Yes, that is only one JS file in a package. This might be overkill, but I need this API for an application I'm developping, and I wanted to provide an easy way to use it for my users. I have the following possibilities:
1. bundle it in my app
2. use the upstream hosted version at http://openstreetmap.org/openlayers/OpenStreetMap.js
3. package it as RPM for Fedora

Possibility 1 is just plain ugly.

Possibility 2 causes problems, as upstream might make a new release and break API compatibility.

This leaves possibility 3, which has 2 added benefits:
- the API can be shared by several web applications on a same system
- updates can be made in relation with the openlayers API, as it is also packaged in Fedora (and the two generally move together)
Comment 1 Mathieu Bridon 2009-07-13 17:43:57 EDT
Adding the dependency on bug 508533, as version 2.8 of the openlayers package is needed for this one.
Comment 2 Juha Tuomala 2009-07-29 16:22:28 EDT
Should the package name be something else, as project is more about the content than this particular javascript? Imo this could be named like osm-js for example.
Comment 3 Mathieu Bridon 2009-07-29 16:29:43 EDT
(In reply to comment #2)
> Should the package name be something else, as project is more about the content
> than this particular javascript? Imo this could be named like osm-js for
> example.  

I'd prefer keeping « openstreetmap » not abbreviated, however I have nothing against adding a suffix to it to make its purpose clearer. Be it openstreetmap-api or openstreetmap-js is simply bikeshedding :)

Is that a blocking item for a review ? Or can the review proceed nevertheless and I'll rename it if the reviewer thinks the name doesn't fit ?
Comment 4 D Haley 2009-08-22 07:48:59 EDT
Quick 2 cents:

Openlayers is in fedora -- why is this package needed?

>I need this API for an application I'm developping
>*snip*
>Possibility 2 causes problems, as upstream might make a new release and break
>API compatibility.

How is this a fedora problem? Why would fedora want two packages of the same code from different upstreams? This seems most odd.
Comment 5 Mathieu Bridon 2009-08-22 08:18:52 EDT
Openlayers and OpenStreetMap are not the same code.

This openstreetmap package extends the openlayers one for accessing the OpenStreetMap.org data.

So this is just another Javascript library, built on top of the OL library. For example, some of the OSM code got merged in the OL 2.8 release as it was generic code. But the rest really is an extension of OL. Maybe the two will be merged one day, I have no idea. Until then, both are different and, depending on what you do, needed.

(and yes, I know OL is in Fedora, I co-maintain it :)

Note You need to log in before you can comment on or make changes to this bug.